Bug 12292 - Members are restricted even if the debarment is ended - moremember.pl
Summary: Members are restricted even if the debarment is ended - moremember.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on: 2720 12134
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-20 14:08 UTC by Jonathan Druart
Modified: 2015-06-04 23:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12292: (followup) ensure that patrons are not restricted even when the last restriction has expired (1.85 KB, patch)
2014-05-20 14:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12292: (followup) ensure that patrons are not restricted even when the last restriction has expired (1.96 KB, patch)
2014-05-22 13:18 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 12292: (followup) ensure that patrons are not restricted even when the last restriction has expired (2.02 KB, patch)
2014-05-22 13:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 12061 - tmpl_process3.pl - Include/exclude file by name (6.30 KB, patch)
2014-05-23 01:17 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-05-20 14:08:56 UTC
Same issue as bug 12134 on the members/moremember.pl

This is not critical since the circulation workflow is not bloked.
Comment 1 Jonathan Druart 2014-05-20 14:12:31 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2014-05-22 13:18:57 UTC Comment hidden (obsolete)
Comment 3 Martin Renvoize 2014-05-22 13:23:15 UTC
Created attachment 28440 [details] [review]
[PASSED QA] Bug 12292: (followup) ensure that patrons are not restricted even when the last restriction has expired

This is the same issue as bug 12134.

Test Plan:
1) Add a manual restriction to a patron and wait until the
   expiration date of the restriction has passed.  This can be
   simulated by modifying borrowers.debarred for a borrower and
   setting the date in the past.
2) Go on the detail page for a patron (members/moremember.pl)
3) Note the warning message
    "Patron is restricted until XX/XX/XXXX View restrictions"
4) Apply this patch
5) Repeat step 2
6) Note the warning message does not appear anymore

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Work as described, no errors.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2014-05-22 13:24:18 UTC
Trivial patch, works as advertised and passes QA scripts.
Comment 5 Galen Charlton 2014-05-22 16:56:16 UTC
Pushed to master.  Thanks, Jonathan!
Comment 6 Bernardo Gonzalez Kriegel 2014-05-23 01:17:23 UTC Comment hidden (obsolete)
Comment 7 Bernardo Gonzalez Kriegel 2014-05-23 01:18:27 UTC
Sorry for that, wrong Bug
Comment 8 Fridolin SOMERS 2014-07-11 06:45:46 UTC
Pushed to 3.14.x, will be in 3.14.09